# Class CIM_HostedRoutingServices
extends CIM_HostedService

This is a specialization of CIM_HostedService, which is an association between a Service and the System on which the functionality resides. The class, HostedRoutingServices, is deprecated since it provides no additional semantics over HostedService, and unecessarily restricts the Service to a single ComputerSystem, when the Service could reside in a Network or other higher level System.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_HostedService
|
+--CIM_HostedRoutingServices

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_HostedService

Description

string

This is a specialization of CIM_HostedService, which is an association between a Service and the System on which the functionality resides. The class, HostedRoutingServices, is deprecated since it provides no additional semantics over HostedService, and unecessarily restricts the Service to a single ComputerSystem, when the Service could reside in a Network or other higher level System.

UMLPackagePath | string | CIM::Network::RoutingForwarding
Version | string | 2.7.1

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_HostedRoutingServices | CIM_ComputerSystem
Dependent | CIM_HostedRoutingServices | CIM_RouteCalculationService

## Class Methods